package com.gct.dataengine.register;

import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication
@MapperScan("com.gct.dataengine.register.mapper*")//要扫描的dao包
@EnableSwagger2Doc //启用swagger注解
@EnableConfigurationProperties
@EnableFeignClients
public class DataEngineRegisterApplication {

    public static void main(String[] args) {
        SpringApplication.run(DataEngineRegisterApplication.class, args);
    }

}
