package com.gct.dataengine.register.controller;

import com.gct.dataengine.register.entity.Collector;
import com.gct.dataengine.register.entity.CollectorTaskInfoVo;
import com.gct.dataengine.register.service.impl.CollectorTaskManage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author xusirui 2022/4/21
 * only access by collector feign or data center feign
 */
@RestController
@RequestMapping("/register")
public class CollectorTaskController {


    @Autowired
    CollectorTaskManage collectorTaskManage;

    @PostMapping("/heart-beat")
    public Boolean heartBeat(@RequestBody Collector collector){
        return collectorTaskManage.heartBeat(collector);
    }

    @GetMapping("/bind")
    public Boolean bind(@RequestParam String collectorId,@RequestParam String taskId,@RequestParam String version) {
        return collectorTaskManage.bind(collectorId,taskId,version);
    }

    @GetMapping("/pullCollector-taskInfo")
    public CollectorTaskInfoVo pullCollectorTaskInfo(){
        return collectorTaskManage.pullCollectorTaskInfo();
    }


}
