package com.gct.dataengine.register.quartztask;

import com.gct.dataengine.register.service.impl.CollectorTaskManage;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;

/**
 * @author xusirui 2022/4/13
 */
public class UnbindJob extends QuartzJobBean {

    @Autowired
    CollectorTaskManage collectorTaskManage;

    @Override
    protected void executeInternal(JobExecutionContext context) throws JobExecutionException {
        collectorTaskManage.unbind();
    }
}
